using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FObjBase;
using System.Net;
using System.ComponentModel;

namespace FLY.Simulation.Flyad7.OBJProxy
{
    public class Flyad7_OBJProxy : FObj, INotifyPropertyChanged
    {
        PUSH_DATA module_pushdata;
        DRIVE_MAN module_driveman;
        FLYADC module_flyadc;
        SYS_DATA module_sys_data;
        FLYIO module_flyio;
        FLYAD7 mData;




        public Flyad7_OBJProxy(int objsys_idx, FLYAD7 data):base(objsys_idx)
        {
            module_pushdata = new PUSH_DATA(objsys_idx, data);
            module_driveman = new DRIVE_MAN(objsys_idx, data);
            module_flyadc = new FLYADC(objsys_idx, data);
            module_sys_data = new SYS_DATA(objsys_idx, data);
            module_flyio = new FLYIO(objsys_idx, data);
            mData = data;
        }
        public void Listen()
        {
            CurrObjSys.Start_Conn_Server(mData.LocalEP, ID);
        }

        #region INotifyPropertyChanged 成员
        protected void NotifyPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
